Subject: RE: RFC 2576 vs IPv6

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 20 Feb 2003 00:32:58 +0100

I thought I had made similar comment to an earlier version
of phil's document.

Thanks,
Bert 

> -----Original Message-----
> From: Randy Presuhn [mailto:[email-masked]]
> Sent: woensdag 19 februari 2003 21:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: RFC 2576 vs IPv6
> 
> 
> Hi -
> 
> I think the analysis of RFC 2576 in section 5.070 (see below) of
> draft-ietf-v6ops-ipv4survey-ops-00.txt is incorrect.
> These rules for handling legacy data which happen to be
> IPv4 addresses have no bearing on the ability to operate
> in or manage IPv6 environments.
> 
> Randy
> 
> -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> 
> 5.070 RFC 2576 Coexistence between Version 1 Version 2 and Version
>       3 of the Internet-standard Network Management Framework (SNMP)
> 
> This document states:
> 
>    (11) For any object with a SYNTAX of NetworkAddress, the 
> SYNTAX MUST
>         be changed to IpAddress.  Note that the use of 
> NetworkAddress in
>         new MIB documents is strongly discouraged (in fact, new MIB
>         documents should be written using SMIv2, which does not define
>         NetworkAddress).
> 
> and defines the OID:
> 
> snmpTrapAddress OBJECT-TYPE
>     SYNTAX      IpAddress
>     MAX-ACCESS  accessible-for-notify
>     STATUS      current
>     DESCRIPTION
>         "The value of the agent-addr field of a Trap PDU which
>          is forwarded by a proxy forwarder application using
>          an SNMP version other than SNMPv1.  The value of this
>          object SHOULD contain the value of the agent-addr field
>          from the original Trap PDU as generated by an SNMPv1
>          agent."
>     ::= { snmpCommunityMIBObjects 3 }
> 
> This clearly points out a lack of IPv6 awareness in this protocol.
> 
> 
>

---

From: "Philip J. Nesser II" <[email-masked]>
Date: Wed, 19 Feb 2003 15:53:24 -0800

Bert,

You did, and I thought I had made all of your changes, but I must
have missed this one.  It WILL be fixed in the -01 draft.  

- --->  Phil

> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Wednesday, February 19, 2003 3:33 PM
> To: Randy Presuhn; [email-masked]
> Cc: [email-masked]
> Subject: RE: RFC 2576 vs IPv6
>